# Configuration file

general {

    ##########################################################################################################
    # general
    #--------------------------------------------------------------------------------------------------------#
    # All the options that can only be set on the server.
    ##########################################################################################################

    general {
        # Allows the lightning in Midnight to burn blocks and do damage to entities. Default= false
        B:allow_lightning_damage=false

        # Allows rifters to teleport to players when they aren't being looked at. Default= true
        B:allow_rifter_teleport=true

        # The chance to take a small amount of damage when picking a bladeshroom cap as a percentage. If 0, this is disabled. Default= 5
        # Min: 0
        # Max: 100
        I:bladeshroom_damage_chance=5

        # If true, players will respawn in Midnight after dying in the dimension. Default= false
        B:can_respawn_in_midnight=false

        # Mobs on this whitelist can be captured by rifters, players and animals are already captured by default. Format is mod id:name of creature, just use the modid to whitelist everything from it. Default= empty
        S:capturable_entities <
         >

        # Allows the modded flowers to appear with bonemeal in Midnight. Default= false
        B:foreign_flowers_from_bonemeal=false

        # The maximum amount of rifters that spawn from a rift. Default= 1
        # Min: 1
        # Max: 5
        I:max_rifter_by_rift=1

        # The ID to be used for the Midnight Dimension. Default= -23
        I:midnight_dimension_id=-34

        # Spawn rate of entities of the 'monster' type in midnight (eg. Rifter, Hunter). Default= 1
        # Min: 1
        # Max: 2147483647
        I:monster_spawn_rate=1

        # Mobs on this blacklist cannot be captured by rifters. Format is mod id:name of creature, just use the mod id to blacklist everything from it. Default= iceandfire, midnight:nightstag
        S:not_capturable_animals <
            iceandfire
            midnight:nightstag
         >

        # The rarity that a rift appears. Larger numbers increase rarity. If 0, rifts don't spawn. Default= 1000
        # Min: 0
        # Max: 10000
        I:rift_spawn_rarity=1000

        # Allows rifters to capture tamed entities and drag them into rifts. Default= false
        B:rifter_capture_tamed_animal=false

        # The rarity that rifts spawn rifters. Larger numbers increase rarity. If 0, rifters don't spawn. Default= 1000
        # Min: 0
        # Max: 10000
        I:rifter_spawn_rarity=1000
    }

    ##########################################################################################################
    # client
    #--------------------------------------------------------------------------------------------------------#
    # All the options that can be modified by players on server.
    ##########################################################################################################

    client {
        # Hides the vignette effect in the darker areas of Midnight. Default= true
        B:hide_vignette_effect=true

        # If true, rifts will be rendered with custom shaders for standard effects. If false, a simpler (motionless) texture will be rendered. Default= true
        B:rift_shaders=true
    }

}


